## gnomevfssrc

gnomevfssrc — Read from any GnomeVFS-supported file

## Synopsis

    struct              GstGnomeVFSSrc;

## Object Hierarchy

      GObject
       +----GstObject
             +----GstElement
                   +----GstBaseSrc
                         +----GstGnomeVFSSrc

## Implemented Interfaces

GstGnomeVFSSrc implements GstURIHandler.

## Properties

      "handle"                   GnomeVFSHandle*       : Read / Write
      "iradio-genre"             gchar*                : Read
      "iradio-mode"              gboolean              : Read / Write
      "iradio-name"              gchar*                : Read
      "iradio-title"             gchar*                : Read
      "iradio-url"               gchar*                : Read
      "location"                 gchar*                : Read / Write
      "random-access"            gboolean              : Read / Write

## Description

## Synopsis

### Element Information

plugin | gnomevfs
author | Bastien Nocera <hadess@hadess.net>, GStreamer maintainers <gstreamer-devel@lists.sourceforge.net>
class | Source/File

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Details

### struct GstGnomeVFSSrc

    struct GstGnomeVFSSrc;

## Property Details

### The `"handle"` property

      "handle"                   GnomeVFSHandle*       : Read / Write

Handle for GnomeVFS.

### The `"iradio-genre"` property

      "iradio-genre"             gchar*                : Read

Genre of the stream.

Default value: NULL

### The `"iradio-mode"` property

      "iradio-mode"              gboolean              : Read / Write

Enable internet radio mode (extraction of shoutcast/icecast metadata).

Default value: FALSE

### The `"iradio-name"` property

      "iradio-name"              gchar*                : Read

Name of the stream.

Default value: NULL

### The `"iradio-title"` property

      "iradio-title"             gchar*                : Read

Name of currently playing song.

Default value: NULL

### The `"iradio-url"` property

      "iradio-url"               gchar*                : Read

Homepage URL for radio stream.

Default value: NULL

### The `"location"` property

      "location"                 gchar*                : Read / Write

Location of the file to read.

Default value: NULL

### The `"random-access"` property

      "random-access"            gboolean              : Read / Write

Enable random file access.

Default value: FALSE